NearSpansUnordered (Lucene 10.5.1 queries API)
Description: declaration: package: org.apache.lucene.queries.spans, class: NearSpansUnordered

Package org.apache.lucene.queries.spans

# Class NearSpansUnordered

java.lang.Object
org.apache.lucene.search.DocIdSetIterator
org.apache.lucene.queries.spans.Spans
org.apache.lucene.queries.spans.NearSpansUnordered

public class NearSpansUnordered extends Spans
Similar to `NearSpansOrdered`, but for the unordered case.

Expert: Only public for subclassing. Most implementations should not need this class

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queries.spans.Spans

  `NO_MORE_POSITIONS`

  ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

  `NO_MORE_DOCS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NearSpansUnordered(int allowedSlop, List<Spans> subSpans)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `advance(int target)`
  `TwoPhaseIterator`
  `asTwoPhaseIterator()`
  Return a `TwoPhaseIterator` view of this ConjunctionSpans.
  `void`
  `collect(SpanCollector collector)`
  Collect postings data from the leaves of the current Spans.
  `long`
  `cost()`
  `int`
  `docID()`
  `int`
  `endPosition()`
  Returns the end position for the current start position, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc.
  `Spans[]`
  `getSubSpans()`
  `int`
  `nextDoc()`
  `int`
  `nextStartPosition()`
  Returns the next start position for the current doc.
  `float`
  `positionsCost()`
  Return an estimation of the cost of using the positions of this `Spans` for any single document, but only after `Spans.asTwoPhaseIterator()` returned `null`.
  `int`
  `startPosition()`
  Returns the start position in the current doc, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc.
  `int`
  `width()`
  Return the width of the match, which is typically used to sloppy freq.

  ### Methods inherited from class org.apache.lucene.queries.spans.Spans

  `doCurrentSpans, doStartCurrentDoc, toString`

  ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

  `all, docIDRunEnd, empty, intoBitSet, range, slowAdvance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NearSpansUnordered

    public NearSpansUnordered(int allowedSlop, List<Spans> subSpans) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### nextStartPosition

    public int nextStartPosition() throws IOException
    Description copied from class: `Spans`
    Returns the next start position for the current doc. There is always at least one start/end position per doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
    Specified by:
      `nextStartPosition` in class `Spans`
    Throws:
      `IOException`

  - ### startPosition

    public int startPosition()
    Description copied from class: `Spans`
    Returns the start position in the current doc, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
    Specified by:
      `startPosition` in class `Spans`

  - ### endPosition

    public int endPosition()
    Description copied from class: `Spans`
    Returns the end position for the current start position, or -1 when `Spans.nextStartPosition()` was not yet called on the current doc. After the last start/end position at the current doc this returns `Spans.NO_MORE_POSITIONS`.
    Specified by:
      `endPosition` in class `Spans`

  - ### width

    public int width()
    Description copied from class: `Spans`
    Return the width of the match, which is typically used to sloppy freq. It is only legal to call this method when the iterator is on a valid doc ID and positioned. The return value must be positive, and lower values means that the match is better.
    Specified by:
      `width` in class `Spans`

  - ### collect

    public void collect(SpanCollector collector) throws IOException
    Description copied from class: `Spans`
    Collect postings data from the leaves of the current Spans.

    This method should only be called after `Spans.nextStartPosition()`, and before `Spans.NO_MORE_POSITIONS` has been reached.

    Specified by:
      `collect` in class `Spans`
    Parameters:
      `collector` - a SpanCollector
    Throws:
      `IOException`

  - ### docID

    public int docID()
    Specified by:
      `docID` in class `DocIdSetIterator`

  - ### cost

    public long cost()
    Specified by:
      `cost` in class `DocIdSetIterator`

  - ### nextDoc

    public int nextDoc() throws IOException
    Specified by:
      `nextDoc` in class `DocIdSetIterator`
    Throws:
      `IOException`

  - ### advance

    public int advance(int target) throws IOException
    Specified by:
      `advance` in class `DocIdSetIterator`
    Throws:
      `IOException`

  - ### asTwoPhaseIterator

    public TwoPhaseIterator asTwoPhaseIterator()
    Return a `TwoPhaseIterator` view of this ConjunctionSpans.
    Overrides:
      `asTwoPhaseIterator` in class `Spans`
    See Also:
      - `Scorer.twoPhaseIterator()`

  - ### positionsCost

    public float positionsCost()
    Description copied from class: `Spans`
    Return an estimation of the cost of using the positions of this `Spans` for any single document, but only after `Spans.asTwoPhaseIterator()` returned `null`. Otherwise this method should not be called. The returned value is independent of the current document.
    Specified by:
      `positionsCost` in class `Spans`

  - ### getSubSpans

    public Spans[] getSubSpans()